import os
import sys
import openpyxl

FOLDER = sys.argv[1]

wb1 = openpyxl.load_workbook('all.xlsx')

flist = os.listdir(FOLDER)
os.chdir(FOLDER)

for f in flist:
  wb2 = openpyxl.load_workbook(f) 
  for sh2 in wb2.sheetnames:
    # 書式を設定したbaseシートをコピー
    ws1 = wb1.copy_worksheet(wb1['base'])
    ws1.title = wb2[sh2].title
    for row in wb2[sh2].rows:
      for cell in row:
        # セルの値のコピー
        ws1[cell.coordinate].value = cell.value
    # 表示形式を設定
    for cell in ws1['B']:
      cell.number_format = 'm月d日'
    for cell in ws1['D']:
      cell.number_format = '#,##0'

os.chdir('../')
wb1.save('all.xlsx')





