import os
import sys
import openpyxl

# コマンドライン引数を取得
EXCELFILE = sys.argv[1]
FOLDER = sys.argv[2]

# ブックを読み込む
wb = openpyxl.load_workbook(EXCELFILE)

# カレントフォルダーを保存先のフォルダーに変更
os.chdir(FOLDER)

for sh in wb.sheetnames:
  # ブックのコピー。シート名をファイル名にする
  wb.save(sh + '.xlsx') 
  # 上で作成したブックを読み込む
  nwb = openpyxl.load_workbook(sh + '.xlsx')
  # 余分なシートを削除する
  for nsh in nwb.sheetnames:
    if nsh != sh:
      nwb.remove(nwb[nsh])
  # ブックを保存する
  nwb.save(sh + '.xlsx')
