import os
import sys
import openpyxl

FOLDER = sys.argv[1]

wb1 = openpyxl.Workbook()

flist = os.listdir(FOLDER)
os.chdir(FOLDER)

for f in flist:
  wb2 = openpyxl.load_workbook(f)
  for sh2 in wb2.sheetnames:
    ws1 = wb1.create_sheet() # シートを追加
    # シートの名前のコピー
    ws1.title = wb2[sh2].title 
    for row in wb2[sh2].rows:
      for cell in row:
        # セルの値のコピー
        ws1[cell.coordinate].value = cell.value

# はじめからついているシートの「Sheet」を削除
wb1.remove(wb1.worksheets[0])
os.chdir('../')
wb1.save('all.xlsx')





